AchievementNotSoTalented = class(Turbine.UI.Control)
function AchievementNotSoTalented:Constructor(handler)
    Turbine.UI.Control.Constructor(self)

    self.handler = handler

    self.sneakCallback = AddCallback(ChatEventHandler, "Advancement", function(args)
        if string.find(args.Message, "You have acquired the Class Trait:") or string.find(args.Message, "You have acquired the Class Specialization") then
            handler:Fail("Not So Talented", "Found a talent", "")
        end

    end)
end

function AchievementNotSoTalented:Unload()
    RemoveCallback(ChatEventHandler, "Advancement", self.sneakCallback)
end